it.gov.taccuino

## Class TaccuinoType.Paziente

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.Paziente

- Enclosing class:
    TaccuinoType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.Paziente
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cognome" type="{urn:taccuino:common}string1_50"/>
               <element name="nome" type="{urn:taccuino:common}string1_50"/>
               <element name="codicefiscale" type="{urn:taccuino:common}string16"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `codicefiscale`
    `protected String` | `cognome`
    `protected String` | `nome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paziente()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCodicefiscale()` Recupera il valore della proprietà codicefiscale.
    `String` | `getCognome()` Recupera il valore della proprietà cognome.
    `String` | `getNome()` Recupera il valore della proprietà nome.
    `void` | `setCodicefiscale(String value)` Imposta il valore della proprietà codicefiscale.
    `void` | `setCognome(String value)` Imposta il valore della proprietà cognome.
    `void` | `setNome(String value)` Imposta il valore della proprietà nome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cognome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String cognome

    - #### nome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String nome

    - #### codicefiscale

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String codicefiscale

  - ### Constructor Detail

    - #### Paziente

          public Paziente()

  - ### Method Detail

    - #### getCognome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCognome(String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setNome(String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodicefiscale

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCodicefiscale()

      Recupera il valore della proprietà codicefiscale.
      Returns:
        possible object is `String`

    - #### setCodicefiscale

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCodicefiscale(String value)

      Imposta il valore della proprietà codicefiscale.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.